## org.apache.cassandra.dht
Class AbstractBounds.AbstractBoundsSerializer

    java.lang.Object
      org.apache.cassandra.dht.AbstractBounds.AbstractBoundsSerializer

All Implemented Interfaces:
  ISerializer<AbstractBounds>

Enclosing class:
  AbstractBounds

    public static class AbstractBounds.AbstractBoundsSerializer

extends java.lang.Object
implements ISerializer<AbstractBounds>

Constructor Summary
`AbstractBounds.AbstractBoundsSerializer()`

Method Summary
`AbstractBounds` `deserialize(java.io.DataInput in)` Deserialize from the specified DataInput instance.
`void` `serialize(AbstractBounds range, java.io.DataOutput out)` Serialize the specified type into the specified DataOutput instance.
`long` `serializedSize(AbstractBounds abstractBounds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBounds.AbstractBoundsSerializer

    public AbstractBounds.AbstractBoundsSerializer()

Method Detail

### serialize

    public void serialize(AbstractBounds range,
                          java.io.DataOutput out)
                   throws java.io.IOException

  Description copied from interface: `ISerializer`
  Serialize the specified type into the specified DataOutput instance.

  Specified by:
    `serialize` in interface `ISerializer<AbstractBounds>`
  Parameters:
    `range` - type that needs to be serialized
    `out` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    public AbstractBounds deserialize(java.io.DataInput in)
                               throws java.io.IOException

  Description copied from interface: `ISerializer`
  Deserialize from the specified DataInput instance.

  Specified by:
    `deserialize` in interface `ISerializer<AbstractBounds>`
  Parameters:
    `in` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### serializedSize

    public long serializedSize(AbstractBounds abstractBounds)

  Specified by:
    `serializedSize` in interface `ISerializer<AbstractBounds>`

Copyright © 2012 The Apache Software Foundation